ViewRoyal.ai API Docs

List people

Returns a paginated list of people associated with the municipality. Sorted alphabetically by name.

GET
/api/v1/{municipality}/people

Authorization

ApiKeyAuth
X-API-Key<token>

API key for authentication. Get your key at /settings/api-keys.

In: header

Path Parameters

municipality*string

Municipality slug (e.g., "view-royal")

Default"view-royal"

Query Parameters

cursor?string

Pagination cursor from previous response

per_page?integer

Number of results per page (max 100)

Default20
Range1 <= value <= 100
is_councillor?|

Filter by current councillor status

name?string

Partial name search (case-insensitive)

Response Body

application/json

curl -X GET "https://viewroyal.ai/api/v1/view-royal/people"
{
  "data": [
    {
      "slug": "string",
      "name": "string",
      "is_current_councillor": true,
      "party": null,
      "image_url": "string"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "string",
    "per_page": 0
  },
  "meta": {
    "request_id": "string"
  }
}